Package com.pixelmed.apps

## Class PixelMessageDigest

- java.lang.Object
- - com.pixelmed.apps.PixelMessageDigest

-     public class PixelMessageDigest
      extends java.lang.Object

  A class for computing message digests of pixel data, decompressed if compressed.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PixelMessageDigest​(java.lang.String inputfilename)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `computePixelMessageDigestFromFrames​(java.io.File inputFile)` |
    `static void` | `main​(java.lang.String[] arg)` | Read an image and compute message digest of pixel data, decompressed if compressed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PixelMessageDigest

          public PixelMessageDigest​(java.lang.String inputfilename)
                             throws DicomException,
                                    java.io.IOException,
                                    java.security.NoSuchAlgorithmException

      Throws:
        `DicomException`
        `java.io.IOException`
        `java.security.NoSuchAlgorithmException`

  - ### Method Detail

    - #### computePixelMessageDigestFromFrames

          public byte[] computePixelMessageDigestFromFrames​(java.io.File inputFile)
                                                     throws DicomException,
                                                            java.io.IOException,
                                                            java.security.NoSuchAlgorithmException

      Throws:
        `DicomException`
        `java.io.IOException`
        `java.security.NoSuchAlgorithmException`

    - #### main

          public static void main​(java.lang.String[] arg)

      Read an image and compute message digest of pixel data, decompressed if compressed.

      Parameters:
        `arg` - array of one string - the input image